/*
 *  SRCgImageSprite.cpp
 *  SpaceRatXCode
 *
 *  Created by James Dessart on 10/08/06.
 *  Copyright 2006 James Dessart. All rights reserved.
 *
 */

#include "SRCgImageSprite.h"

#include "SRGraphicsUtils.h"

SRCgImageSprite::SRCgImageSprite( CFStringRef inImageName ) : fImage(0)
{
	// If the user specified a name, we'll load it
	if( inImageName )
	{
		fImage = SRGraphicsUtils::CreateCGImageForResourceNamed(inImageName);
	}
	
	Think();
}

void
SRCgImageSprite::Draw( CGContextRef theRef )
{
	if( fImage == 0 || theRef == 0 ) return;
	
	SRRect theRect( fX - (fWidth / 2.0f), fY - (fHeight / 2.0f), fWidth, fHeight );
	
	CGContextDrawImage( theRef, theRect, fImage );
}

void
SRCgImageSprite::Think()
{
	if( fImage )
	{
		fWidth = CGImageGetWidth( fImage );
		fHeight = CGImageGetHeight( fImage );
	}
}
