#ifndef __SR_ENEMY_SPRITE_H__
#define __SR_ENEMY_SPRITE_H__

#include "SRCgImageSprite.h"
#include "SRObjectList.h"
#include "SRObjectTypes.h"

#define kEnemyFrameCount		2

#define     kSwitchCountdown    5

#define     kFireProbability    0.0175f
#define     kFireForce          -5.0f
#define     kFireDistance       -15.0f

#define     kScoreValue         150

class SREnemySprite : public SRCgImageSprite
{
public:
    SREnemySprite( CFStringRef iconBaseName, SRObject *command );
    ~SREnemySprite();
    
    virtual int Type() { return kEnemyType; }
    virtual void Think();
    virtual bool Hit( SRObject *other );
    virtual void ChildDied( SRObject *ammo );

    void AllowFiring() { fCanFire = true; }
    bool FiringAllowed() { return fCanFire; }

protected:
    CGImageRef		fImages[kEnemyFrameCount];
	
    int             fIconSwitchTimer;
	int				fCurrentImageIndex;
    bool            fCanFire;
};

#endif // __SR_ENEMY_SPRITE_H__
