/*
 *  SRGraphicsUtils.h
 *  SpaceRatXCode
 *
 *  Created by James Dessart on 09/08/06.
 *  Copyright 2006 James Dessart. All rights reserved.
 *
 */

#ifndef __SR_GRAPHICS_UTILS_H__
#define __SR_GRAPHICS_UTILS_H__

#include <Carbon/Carbon.h>

class SRRect
{
public:
	SRRect( float x, float y, float width, float height );
	SRRect( Rect &theRect );
	SRRect( CGRect &theRect );

	operator CGRect();
	operator Rect();

	SRRect &operator =( CGRect &inRect );
	SRRect &operator =( Rect &inRect );

private:
	float fX;
	float fY;
	float fWidth;
	float fHeight;
};

class SRRgbColour
{
public:
	SRRgbColour();
	SRRgbColour( RGBColor &inColor );
	SRRgbColour( float inRed, float inGreen, float inBlue, float inAlpha = 1.0f );

	SRRgbColour &operator =( RGBColor &inColor );

	operator RGBColor();

	float red();
	float green();
	float blue();
	float alpha();

protected:
	float fRed;
	float fGreen;
	float fBlue;
	float fAlpha;
};

class SRGraphicsUtils
{
public:
	static CGImageRef	CreateCGImageForResourceNamed( CFStringRef theName );
	static void			CreateCGImagesForFramedResourcesNamed
		( CFStringRef theBasename, CGImageRef *outImages, int inFrameCount );

public:
	static bool		UsingQuickdraw;
};

#endif // __SR_GRAPHICS_UTILS_H__
