#include "SRSpiderSprite.h"

#include "SRSoundManager.h"
#include "SRGameObject.h"

#include "SRBoomSprite.h"

static const int kSpiderIcon   = 300;
static const int kScoreValue   = 200;

SRSpiderSprite::SRSpiderSprite() : SRIconSprite(0)
{
    fCurrentIcon = GetCIcon( kSpiderIcon );
}

SRSpiderSprite::~SRSpiderSprite()
{
    delete fCurrentIcon;
}

void
SRSpiderSprite::Think()
{
    // move the spider in an elliptical fashion
}

bool
SRSpiderSprite::Hit( SRObject *other )
{
    // if what hit us is enemy fire, we die...
    if( other->Type() == kPlayerAmmoType || other->Type() == kGenericAmmoType )
    {
        SRSoundManager::PlaySoundEffect(SRSoundManager::SFXboom);
        SRGameObject::instance->Scored(kScoreValue);
        new SRBoomSprite(this);
        return true;
    }
    
    return false;
}
